Need Joomla Support call us now!

027 277 1244

We have witnessed many a situation where clients have approached us as they have identified that their Joomla installation is outdated. However this is only part of the picture - if your site includes extensions to enhance the Joomla web site, it is critical that these are kept up to date as well. Often these 3rd party addons can provide more harm by providing potential vulnerabilities that hackers can use to target your site. Not just to deface your site but use it for redirection purposes.

We can check your site for security risks.

Security Risk?

If your current Joomla install is version 1.5.26 or below - it is out of date and it's security is at risk - YOU SHOULD'T use it as part of your business tools.

Joomla have now also stopped support for 2.5.X series and hence it's time to consider upgrading your site if you are running this stream of software on your web site.

If you have a series 3.X version of Joomla running your site, you must ensure it is updated to Joomla 3.9.13 at a minimum as lower levels of Joomla 3.X have a security risks.

Current version of Joomla 3.9.13

Contact Us about upgrading.

Google it

Want to add any of the following google services to your Joomla Site?

Google Adwords
Google Analytics
Google Webmaster tools
Google URL submission

Contact Us as we can help.

Mobilise your web site

The growth of browsing on smart phones is one of the fastest changing aspects of the WWW, with 49.2% of mobile users browsing the internet on their phones.

Is your site mobile ready or are you still penalising visitors to your web site who are using mobile devices with large downloads and incorrectly proportioned layout?

A responsive web site reacts to the device your visitor is using to view your site.

Payments

To view payments for accounts or invoices please visit our payment information page.